aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.pre-commit-config.yaml15
-rwxr-xr-xcheck-translation-ordering.sh7
2 files changed, 18 insertions, 4 deletions
diff --git a/.pre-commit-config.yaml b/.pre-commit-config.yaml
index 6d0e52d..775137d 100644
--- a/.pre-commit-config.yaml
+++ b/.pre-commit-config.yaml
@@ -3,7 +3,14 @@
# SPDX-License-Identifier: CC0-1.0
repos:
- - repo: https://github.com/fsfe/reuse-tool
- rev: v3.1.0a1
- hooks:
- - id: reuse
+ - repo: https://github.com/fsfe/reuse-tool
+ rev: v3.1.0a1
+ hooks:
+ - id: reuse
+ - repo: local
+ hooks:
+ - id: ordered_translations
+ name: "Check translation ordering"
+ language: script
+ files: translations/.*
+ entry: ./check-translation-ordering.sh
diff --git a/check-translation-ordering.sh b/check-translation-ordering.sh
new file mode 100755
index 0000000..ebecb7c
--- /dev/null
+++ b/check-translation-ordering.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+# SPDX-FileCopyrightText: 2023 Linnea Gräf <nea@nea.moe>
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+set -euo pipefail
+jq -S --tab < translations/en_us.json | diff translations/en_us.json -